package simulation;

import java.util.Random;

public class Coordinates {
	
	public static final int MAX_X = 16;
	public static final int MAX_Y = 16;
	protected int x;
	protected int y;
	protected Random rnd;
	
	int[] dx = {1,-1, 0, 0};
	int[] dy = {0, 0, 1,-1};
	
	public Coordinates() {
		rnd = new Random();
		x = rnd.nextInt(MAX_X + 1);
		y = rnd.nextInt(MAX_Y + 1);
	}
	
	protected int getX() {
		return x;
	}
	
	protected int getY() {
		return y;
	}
	
	public boolean equals(Object o) {
		boolean retVal = false;
		if (o instanceof Coordinates) {
			if (((Coordinates)o).x == this.x &&
				((Coordinates)o).y == this.y) {
				retVal = true;
			}
		}
		return retVal;
	}
	
	public void move() {
		int i = rnd.nextInt(dx.length);
		x = Math.max(Math.min(x + dx[i], MAX_X), 0);
		y = Math.max(Math.min(y + dy[i], MAX_Y), 0);
	}
	
	public String toString() {
		return "(" + x + "," + y + ")";
	}
}
